global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: false
logIngest:
  enabled: true
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system/loki/api/v1/push
  logPathPattern: /app/log/authentication/*.log
  logPath: /app/log/authentication
authentication:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: authentication
    tag: snapshot-32c4fe9
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8004
    protocol: TCP
  resources:
    requests:
      cpu: 50m
      memory: 64Mi
    limits:
      cpu: 200m
      memory: 128Mi
  probes:
    readiness:
      type: httpGet
      config:
        path: /api/_/readyz
        port: 8004
        initialDelaySeconds: 5
        periodSeconds: 30
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
    liveness:
      type: httpGet
      config:
        path: /api/_/livez
        port: 8004
        initialDelaySeconds: 5
        periodSeconds: 15
        timeoutSeconds: 3
        successThreshold: 1
        failureThreshold: 3
        terminationGracePeriodSeconds: 30
  services:
  - name: authentication-service
    type: ClusterIP
    port: 8004
    targetPort: 8004
    serviceMonitor:
      enabled: false
  ingresses:
  - name: authentication-ingress
    host: authentication.freeleaps-alpha.com
    class: nginx
    rules:
    - path: /
      pathType: Prefix
      backend:
        service:
          name: authentication-service
          port:
            number: 8004
    tls:
      exists: false
      issuerRef:
        name: freeleaps-alpha-dot-com
        kind: ClusterIssuer
      name: authentication.freeleaps-alpha.com-cert
  configs:
    tz: UTC
    appName: authentication
    devsvcWebapiUrlBase: http://devsvc-service.freeleaps-alpha.svc.freeleaps.cluster:8007/api/devsvc/
    notificationWebapiUrlBase: http://notification-service.freeleaps-alpha.svc.freeleaps.cluster:8003/api/notification/
    jwtSecretKey: 8f87ca8c3c9c3df09a9c78e0adb0927855568f6072d9efc892534aee35f5867b
    jwtAlgorithm: HS256
    serviceApiAccessHost: 0.0.0.0
    serviceApiAccessPort: 8004
    mongodbName: freeleaps2
    mongodbPort: 27017
    mongodbUri: mongodb+srv://jetli:8IHKx6dZK8BfugGp@freeleaps2.hanbj.mongodb.net/
    metricsEnabled: 'false'
    probesEnabled: 'true'
